Name:          accounts-qt
Version:       1.11
Release:       1mamba
Summary:       Qt bindings to the Accounts & SSO framework
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://code.google.com/p/accounts-sso/
Source:        https://accounts-sso.googlecode.com/files/accounts-qt-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaccounts-glib-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libqt4-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Qt bindings to the Accounts & SSO framework.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Qt bindings to the Accounts & SSO framework

%description -n lib%{name}
Qt bindings to the Accounts & SSO framework.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
qmake-qt4
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%{_bindir}/accountstest
%{_datadir}/libaccounts-qt-tests/MyProvider.provider
%{_datadir}/libaccounts-qt-tests/MyService.service
%{_datadir}/libaccounts-qt-tests/OtherService.service
%{_datadir}/libaccounts-qt-tests/e-mail.service-type
%{_datadir}/libaccounts-qt-tests/tests.xml

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libaccounts-qt.so.*
%doc COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/accounts-qt
%dir %{_includedir}/accounts-qt/Accounts
%{_includedir}/accounts-qt/Accounts/*
%{_libdir}/cmake/AccountsQt/AccountsQtConfig.cmake
%{_libdir}/cmake/AccountsQt/AccountsQtConfigVersion.cmake
%{_libdir}/libaccounts-qt.so
%{_libdir}/pkgconfig/accounts-qt.pc
%dir %{_datadir}/doc/accounts-qt/html/
%{_datadir}/doc/accounts-qt/*
%doc README TODO

%changelog
* Wed May 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.11-1mamba
- package created using the webbuild interface
